Home > Linux Error > Linux Error While Loading Shared Libraries Libstdc .so.6

Linux Error While Loading Shared Libraries Libstdc .so.6

ldd cognos.cgi The output of the above command will point out the missing libraries if any. How should a "working mathematician" think about sets? (ZFC, category theory, urelements) Why wasn't Peter Pettigrew bound with an Unbreakable Vow? Header files are only needed for building software that relies on a library, not for running pre-built software. –Eliah Kagan Jun 6 '12 at 19:25 add a comment| 8 Answers 8 share|improve this answer answered Jul 13 '12 at 13:53 Fabian Knorr 1,1121817 I'm running Linux on Ubuntu 10.10 –ammouna Jul 13 '12 at 14:05 Then you want this contact form

Solution The solution is to install the standard Linux 32-bit C++ compatibility libraries in order to satisfy this library dependency. Not the answer you're looking for? Go to synaptic --> Search for lib32z1 --> select both runtime and development Apply and u r done. Now it is installed but I can't figure out how to run it.

should do the trick. the key was the Permission error. The package name depends on your distribution, for Debian it's ia32-libs, for Fedora libstdc++..i686. Are endothermic bombs possible?

Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count). Follow this Question Answers Answers and Comments 2 People are following this question. How to set up love interests for player characters What is this shrub/plant? http://www.mozilla.org/en-US/firefox/19.0.2/system-requirements/ Make sure that you have 32 bit versions of the required libraries.

View Cart (0) Toggle navigation Home Announcements Knowledgebase Network Status Contact Us Account Login ----- Forgot Password? Attachment Products Subscribe to Article Search Survey Did this article answer your question or resolve your issue? You need to run 'apt-file update' first. –UsagiYojimbo Feb 5 '14 at 21:22 Run sudo apt-file update and after that sudo apt-file find libstdc++.so.6. http://askubuntu.com/questions/409821/libstdc-so-6-cannot-open-shared-object-file-no-such-file-or-directory [email protected]:~$ sudo apt-file find libstdc++.so.6 [sudo] password for usagiyojimbo: E: The cache is empty.

How can a Mann-Whitney U-Test return a p = 1.00 for unequal means? Sam Broadcaster Statistics - How to configure Overview The MediaCP Wowza Edition supports the Statistic relay of SAM Broadcaster. (Only... basically i think it was something along the lines of: sudo mv libgcc_s.so.1 libgcc_s.so.1.orig so now, nothing's opening. can you explain that please –ammouna Jul 13 '12 at 15:12 | show 2 more comments up vote 5 down vote For Fedora use: yum install libstdc++44.i686 You can find out

Downloading Index a link No Index available. libstdc++.so.6: symbolic link to `libstdc++.so.6.0.8' So ultimately it ends up referencing libstdc++.so.6.0.8 file. Running Fedora 16 64 bit. To help users navigate the site we have posted a site navigation guide.

What do I do if somebody asks me to join his accusation of my colleague of academic misconduct? weblink Was Harry's concern about Fleur's sister Gabrielle misplaced? How to proceed in light of peer-review confidentiality? The others donn't. –Juanin Jul 28 '14 at 20:10 add a comment| up vote 6 down vote This works for me: aptitude install lib32stdc++6 share|improve this answer edited Feb 13 '13

the key was the Permission error. How much of my income should I put towards paying off student loans vs saving for a house? CentOS 6 & Debian - libstdc++.so.6: cannot open shared object file Issue Shoutcast Server 2 will not start on CentOS 6 or Debian. navigate here Join Date Jun 2007 Beans 15,650 Re: libstdc++.so.6 BIG PROBLEM try Code: sudo apt-get install --reinstall libstdc++6 libgcc1 otherwise post what release of ubuntu you're using, nothing mentioned previously Edit or

A friend running the same version of Ubuntu had no problems getting it to start after installing it the same way. During a NetBackup 6.x installation the following errors may appear if the standard Linux 32-bit C++ compatibility libraries are not installed./usr/openv/netbackup/bin/bpps: error while loading shared libraries: libstdc++.so.6 : cannot open shared However then we hit another snag.

Help!

To install it, type: sudo apt-get install apt-file Then you have to update the index. We are making improvements to UA, see the list of changes. Advisor drops MSci student suddenly in final semester How to distinguish between American Indians and Indian Indians in native English (language) parlance? The Folder your executable is residing in (lib32) suggests a 32-bit executable which requires 32-bit libraries.

Portions of this content are ©1998–2016 by individual mozilla.org contributors. Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the The time now is 02:40 AM. his comment is here I forgot I installed the older versions as root user.

No Yes United States English English IBM® Site map IBM IBM Support Check here to start a new keyword search. Is there a name for this kind of comparator? Using Promarker blender for copic Why is Cuba still leasing Guantanamo Bay to the US? thanks ...

and sudo apt-get install zlib1g-dev –shantanu Jun 6 '12 at 18:52 3 @shantanu The problem is not that the header files (-dev packages) are missing, but that the Android SDK The output of ldd cognos.cgi as observed libdl.so.2 => /lib/libdl.so.2 (0x00511000) libnsl.so.1 => /lib/libnsl.so.1 (0x00516000) libstdc++.so.6 => not found libm.so.6 => /lib/libm.so.6 (0x00ea0000) libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00c41000) libpthread.so.0 => /lib/libpthread.so.0 (0x00531000) What is a one word noun for Ethereum? more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed

Now, When I created an Android project I got the following error: 2012-06-06 18:44:40 - contactManager] /home/catia/android-sdks/platform-tools/aapt: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file This worked for me (Ubuntu 14.04 x64).